Bug 697172

Summary: preupgrade from F13 to F15 alpha fails - insufficient error checking?
Product: [Fedora] Fedora Reporter: cam <camilo>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 13CC: richard
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 07:48:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description cam 2011-04-16 07:23:58 EDT
Description of problem:
I tried to do preupgrade from F13 to F15, selecting alpha releases. Prior to this I did 
yum update preupgrade --enablerepo=updates-testing
rpm -e old kernels to free space in /boot

Version-Release number of selected component (if applicable):
preupgrade-1.1.8-1.fc13.noarch


How reproducible:
100% (3 of 3 attempts)

Steps to Reproduce:
1.use F13 preupgrade
2.wait for request to reboot
3.reboot and note that grub is unchanged
  
Actual results:
only the old release is offered no upgrade happens

Expected results:
upgrade starts

Additional info:
Console output suggests a file to be downloaded is not found where expected. It looks like this error is not trapped and the GUI continues as if upgrade is possible:

[root@pricey ~]# preupgrade
Loaded plugins: blacklist, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-15&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/15/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/development/15/i386/os/
unknown metadata being downloaded: repomdTroRrBtmp.xml
preupgrade-rpmfusion-free-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=i386
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=i386
unknown metadata being downloaded: repomdNXizBdtmp.xml
preupgrade-rpmfusion-nonfree-rawhide (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=i386
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-rawhide&arch=i386
unknown metadata being downloaded: repomdG_Kq8otmp.xml
unknown metadata being downloaded: MEMORY
Fetched treeinfo from http://mirror.netrino.co.uk/mirror.fedora.com/development/15/i386/os//.treeinfo
treeinfo timestamp: Fri Apr 15 23:49:02 2011
/boot/upgrade/vmlinuz checksum OK
/boot/upgrade/initrd.img checksum OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 500, in main_preupgrade
    stage2file = self.pu.retrieve_non_critical_files()
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 571, in retrieve_non_critical_files
    self._retrieve_file(self.mainimage, targetdir, reserve_space=extra_space)
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 451, in _retrieve_file
    tmp = self.instgrab.urlopen(fileinfo)
  File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 413, in urlopen
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 386, in _mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 283, in _get_mirror
    raise URLGrabError(256, _('No more mirrors to try.'))
urlgrabber.grabber.URLGrabError: [Errno 256] No more mirrors to try.
Comment 1 Bug Zapper 2011-05-30 06:40:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 07:48:43 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.